#!/bin/bash
#
# cat_data.sh <dataID> <ext> [<stripflag>]
##########################################
#
WD=`dirname $0`
if [[ -f $WD/../database.conf ]]
 then
  . $WD/../database.conf
fi
MYSQL="$WD/mysql_sql -b -s ${LOGGINGLESENHOST:-localhost} -u logginglesen -p $LOGGINGLESENPWD"
#
if [[ "$3" = "1" ]]
 then
  case "$2" in
    gz)  $MYSQL "select daten from daten where ID='$1'" | gunzip -c | egrep -v '^Magic-Start: [0-9]*$|^Magic-End: [0-9]*$';;
    bz2) $MYSQL "select daten from daten where ID='$1'" | bunzip2 -c | egrep -v '^Magic-Start: [0-9]*$|^Magic-End: [0-9]*$';;
    xz)  $MYSQL "select daten from daten where ID='$1'" | unxz -c | egrep -v '^Magic-Start: [0-9]*$|^Magic-End: [0-9]*$';;
  esac
else
  case "$2" in
    gz)  $MYSQL "select daten from daten where ID='$1'" | gunzip -c;;
    bz2) $MYSQL "select daten from daten where ID='$1'" | bunzip2 -c;;
    xz)  $MYSQL "select daten from daten where ID='$1'" | unxz -c;;
  esac
fi
