#!/bin/bash
#
# convert_filename.sh
#
# Dateiname nach ASCII-Zeichen konvertieren
#
# usage: convert_filename.sh <filename>
#########################################################
#
if which iconv >/dev/null 2>&1
 then
  echo "$1" | iconv -c --from-code=UTF-8 --to-code=ASCII//TRANSLIT
else
  echo "$1" | tr -d -c '[:alnum:][:blank:][:punct:]'
fi
