#!/bin/bash
#
# get_report_attachments.sh
#
# read all attachments for one report
#
# usage: get_report_attachments.sh <reportsid> <attachmentpath>
#################################################################
#
. $(dirname $(readlink -f $0))/../ulsreport.conf
#
if cd $2
 then
  httpget -s -u "$ULSREPUSER" -p "$ULSREPPWD" $ULSREPHOST "do_report_attachments.s2w?reportsid=$1" | while read id fn
   do
    httpget -q -f "$fn" -u "$ULSREPUSER" -p "$ULSREPPWD" $ULSREPHOST "get_bwert.s3w?reportsid=$1&id=$id"
    if [[ -s "$fn" ]]
     then
      echo "-a \"$fn\""
    fi
  done
fi
