BEGIN {
        t = ""
        mi = 0
        wf = 0
        fracsec = 0
      }

NF <= 2 { e[$1] = $2
          f[mi++] = $1
          w[$1] = ""
}

NF > 2 { if( t != $1 )
         { if( wf )
           { if( (lt = length(t)) > 20 && lt - 20 > fracsec )
               fracsec = lt - 20
             if( fracsec )
             { split(t, ts, ":")
               printf("%s:%s:%0*.*f", ts[1], ts[2], fracsec+3, fracsec, ts[3])
             }
             else
               printf("%.19s", t)
             for( i = 0; i < mi; i++ )
             { if( e[f[i]] ~ "^_|^[[]_" && w[f[i]] )
                 printf("|%%samp %s%%/samp", w[f[i]])
               else
                 printf("|%s", w[f[i]])
               w[f[i]] = ""
             }
             printf("\n")
           }
           t = $1
         }
         if( e[$2] ~ "^_|^[[]_" )
         { gsub(" ", "\\ ", $3)
           gsub("%n\\\\ ", "%n ", $3)
         }
         else if( e[$2] == "BLOB" )
         { if( ! REPORTSID )
           { fnn = split($3, fna, ".")
             if( fna[fnn] ~ /^gz$|^bz2$|^xz$/ )
             { gsub("."fna[fnn]"$", "", $3)
               if( fna[fnn-1] == "cast" )
               { gsub(".cast$", "", $3)
                 $3 = "%hlink(get_bwert.s3w?uncompress=1&id=" $4 ", \"" $3 "\", _blank)%hlink(playcast.u2w?uncompress=1&id=" $4 ", \".cast\", _blank)%hlink(get_bwert.s3w?id=" $4 ", \"." fna[fnn] "\", _blank)"
               }
               else if( fna[fnn-1] ~ /^csv$|^cfg$|^cnf$|^conf$|^info$|^sh$|^text$|^txt$|^html$|^log$|^sql$|^par$/ )
                 $3 = "%hlink(get_bwert.s3w?uncompress=1&id=" $4 ", \"" $3 "\", _blank)%hlink(get_bwert.s3w?id=" $4 ", \"." fna[fnn] "\", _blank)"
               else
                 $3 = "%hlink(get_bwert.s3w?id=" $4 ", \"" $3 "." fna[fnn] "\", _blank)"
             }
             else if( fna[fnn] == "cast" )
             { gsub(".cast$", "", $3)
               $3 = "%hlink(get_bwert.s3w?uncompress=1&id=" $4 ", \"" $3 "\", _blank)%hlink(playcast.u3w?id=" $4 ", \".cast\", _blank)"
             }
             else
               $3 = "%hlink(get_bwert.s3w?id=" $4 ", \"" $3 "\", _blank)"
           }
         }
         else if( e[$2] == "IMAGE" )
         { if( REPORTSID )
             $3 = "%image(get_bwert.s3w?reportsid=" REPORTSID "&id=" $4 ")"
           else
             $3 = "%image(get_bwert.s3w?id=" $4 ")"
         }
         if( w[$2] != "" )
         { if( e[$2] == "_N" || e[$2] == "[N]" )
             w[$2] = w[$2] "%n%n " $3
           else
             w[$2] = w[$2] "%n " $3
         }
         else
           w[$2] = $3
         wf = 1
       }

END { if( wf )
      { if( (lt = length(t)) > 20 && lt - 20 > fracsec )
          fracsec = lt - 20
        if( fracsec )
        { split(t, ts, ":")
          printf("%s:%s:%0*.*f", ts[1], ts[2], fracsec+3, fracsec, ts[3])
        }
        else
          printf("%.19s", t)
        for( i = 0; i < mi; i++ )
        { if( e[f[i]] ~ "^_|^[[]_" && w[f[i]] )
            printf("|%%samp %s%%/samp", w[f[i]])
          else
            printf("|%s", w[f[i]])
        }
        printf("\n")
      }
    }
