#!/bin/bash
#
# startstop.sh
#
#########################################################
# Solange gnuplot keine Zeitzonen unterstützt,
# werden alle Zeitstempel in UTC angegeben.
# In den AWK-Skripten wird der Zeitzonenanteil ignoriert.
export TZ=UTC
#
WD=`dirname $0`
if [ "$1" = "-E" ]
 then
  shift
  S="E"
elif [ "$1" = "-T" ]
 then
  shift
  S="T"
else
  S=""
fi
if [ "$S" = "T" ]
 then
  cat "$1" "$2" | awk -f $WD/startstopT.awk >"$3" 2>/dev/null
else
  awk -v n="$1" -f $WD/startstop$S.awk "$2" >"$3" 2>/dev/null
fi
