#!/bin/bash
#
# postinst.sh
#
# Postinstall script
#
#######################################################################################
#
export PATH=/usr/local/bin:/usr/bin:$PATH
#
ULSDIR="$1/uls"
#
MYSQLDEFAULTS="$2"
MYSQLO="mysql --defaults-extra-file=$MYSQLDEFAULTS -B -N logging"
#
if cd $ULSDIR/ulsmeld
 then
  REGEXPFLAGS=`$MYSQLO -e "show variables like '%regex%'"`
  if [[ -z "$REGEXPFLAGS" ]]
   then
    grep -q "^ *%mysqlwrite[(]\"set default_regex_flags='DOTALL'\"[)]" test_limits.s2w && sed -i "s/^\( *%mysqlwrite[(]\"set default_regex_flags='DOTALL'\"[)]\)/%%\1/" ../html/user/login.i2w test_isalive.s2w test_klimits.s2w test_kombilimits.s2w test_limits.s2w test_cclimits.s2w utt_escalation.s2w test_grouped.s2w
  else
    grep -q "^%% *%mysqlwrite[(]\"set default_regex_flags='DOTALL'\"[)]" test_limits.s2w && sed -i "s/^%%\( *%mysqlwrite[(]\"set default_regex_flags='DOTALL'\"[)]\)/\1/" ../html/user/login.i2w test_isalive.s2w test_klimits.s2w test_kombilimits.s2w test_limits.s2w test_cclimits.s2w utt_escalation.s2w test_grouped.s2w
  fi
fi
