-- grants create user
DROP USER IF EXISTS `logging`@`localhost`, `loggingadmin`@`localhost`,
  `logginglesen`@`localhost`, `loggingtest`@`localhost`, `wwwuls`@`localhost`;
CREATE USER `logging`@`localhost` IDENTIFIED BY 'LOGGINGPASSWORD';
CREATE USER `loggingadmin`@`localhost` IDENTIFIED BY 'LOGGINGADMINPASSWORD';
CREATE USER `logginglesen`@`localhost` IDENTIFIED BY 'LOGGINGLESENPASSWORD';
CREATE USER `loggingtest`@`localhost` IDENTIFIED BY 'LOGGINGTESTPASSWORD';
CREATE USER `wwwuls`@`localhost` IDENTIFIED VIA unix_socket;
-- grants
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`gautocclimits` TO `logginglesen`@`%`;
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`autocclimits` TO `logginglesen`@`%`;
GRANT UPDATE (seen) ON `logging`.`tisalive` TO `logginglesen`@`%`;
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`cclimits` TO `logginglesen`@`%`;
GRANT INSERT, DELETE ON `logging`.`gautocombilimitsmissing` TO `logginglesen`@`%`;
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`groupsuspensions` TO `logginglesen`@`%`;
GRANT UPDATE (msglevel, lastlevel) ON `logging`.`tcclimits` TO `logginglesen`@`%`;
GRANT UPDATE (msglevel) ON `logging`.`tkombilimits` TO `logginglesen`@`%`;
GRANT UPDATE (filterminentries) ON `logging`.`user` TO `logginglesen`@`%`;
GRANT INSERT, DELETE ON `logging`.`gautocombidetailsmissing` TO `logginglesen`@`%`;
GRANT UPDATE (msglevel) ON `logging`.`twertelimits` TO `logginglesen`@`%`;
GRANT INSERT, UPDATE, DELETE ON `logging`.`sessions` TO `logginglesen`@`%`;
GRANT SELECT, INSERT, DELETE ON `logging`.`uttnotifications` TO `logginglesen`@`%`;
GRANT INSERT, DELETE ON `logging`.`autocombidetailsmissing` TO `logginglesen`@`%`;
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`uttreminder` TO `logginglesen`@`%`;
GRANT INSERT, DELETE ON `logging`.`autocombilimitsmissing` TO `logginglesen`@`%`;
GRANT UPDATE (msglevel) ON `logging`.`tlwertelimits` TO `logginglesen`@`%`;
GRANT SELECT ON `logging`.`vinventory` TO `hwinfo`@`localhost`;
GRANT SELECT ON `logging`.`vhwinfo` TO `hwinfo`@`localhost`;
GRANT SELECT, INSERT, EXECUTE ON `logging`.* TO `logging`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE, CREATE TEMPORARY TABLES ON `loggingtmp`.* TO `logging`@`localhost`;
GRANT INSERT, UPDATE (ldate) ON `logging`.`sectiondates` TO `logging`@`localhost`;
GRANT UPDATE (hidden) ON `logging`.`kombilimits` TO `logging`@`localhost`;
GRANT UPDATE (lastdatum, lastwert, sid, llastdatum) ON `logging`.`letztewerte` TO `logging`@`localhost`;
GRANT UPDATE (transferip, lastdnstest) ON `logging`.`server` TO `logging`@`localhost`;
GRANT UPDATE (mtset, mindesttage) ON `logging`.`werteindizes` TO `logging`@`localhost`;
GRANT SELECT ON `logging`.`clientsuspensions` TO `logging`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`serverdoku` TO `logging`@`localhost`;
GRANT INSERT, UPDATE ON `logging`.`beschreibung` TO `logging`@`localhost`;
GRANT INSERT, UPDATE (ldate) ON `logging`.`wertedates` TO `logging`@`localhost`;
GRANT UPDATE (hidden) ON `logging`.`wertelimits` TO `logging`@`localhost`;
GRANT SELECT, INSERT, UPDATE (datumbis), DELETE ON `logging`.`ueberwachungspausen` TO `logging`@`localhost`;
GRANT INSERT, UPDATE (ldate) ON `logging`.`teststepdates` TO `logging`@`localhost`;
GRANT UPDATE (hidden) ON `logging`.`isalive` TO `logging`@`localhost`;
GRANT UPDATE (beschreibung), DELETE ON `logging`.`sstbeschreibung` TO `logging`@`localhost`;
GRANT UPDATE ON `logging`.`ssremarks` TO `logging`@`localhost`;
GRANT INSERT, DELETE ON `logging`.`daten` TO `logging`@`localhost`;
GRANT INSERT, UPDATE (werteindizesID, datenID) ON `logging`.`bwerte` TO `logging`@`localhost`;
GRANT UPDATE (hidden) ON `logging`.`lwertelimits` TO `logging`@`localhost`;
GRANT INSERT, UPDATE (ldate) ON `logging`.`serverdates` TO `logging`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE, CREATE TEMPORARY TABLES, EXECUTE ON `logging`.* TO `loggingadmin`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE, CREATE TEMPORARY TABLES ON `loggingtmp`.* TO `loggingadmin`@`localhost`;
GRANT SELECT, CREATE TEMPORARY TABLES, EXECUTE ON `logging`.* TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE, CREATE TEMPORARY TABLES ON `loggingtmp`.* TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, UPDATE, UPDATE (hidden), DELETE ON `logging`.`wertelimits` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`gautorettime` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`gautocompression` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`gautocrettime` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`gautoclimits` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`autoaufbewahrung` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`gautocombilimits` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`lwerteindizes` TO `logginglesen`@`localhost`;
GRANT INSERT, UPDATE (einheitenID) ON `logging`.`einheiten` TO `logginglesen`@`localhost`;
GRANT UPDATE (uttsortdir, csvseparator, helpset, chartsizeID, uttlistmax, groupreports, utthistsize, csvtimefmt, wrongpwd, last_access, filterminentries, groupfavorites, uttnotify, myreload, maxgrafikspalten, passwordhash, pwdflags, uttflags, maxspalten, uttsort, pwdchanged, last_seen_news, uttvalues, flags, myemail) ON `logging`.`user` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`beschreibung` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, UPDATE, UPDATE (hidden), DELETE ON `logging`.`kombilimits` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`limgrpstat` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`autokombidetails` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, DELETE ON `logging`.`uttnotifications` TO `logginglesen`@`localhost`;
GRANT SELECT, UPDATE ON `logging`.`werteindizes` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`autollimits` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`autoisalive` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, UPDATE (msglevel, lastlevel, lasttestdate), DELETE ON `logging`.`tlwertelimits` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`gautolimits` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT ON `logging`.`section` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`servergroups` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`groupsuspensions` TO `logginglesen`@`localhost`;
GRANT UPDATE (state) ON `logging`.`server` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`gautoccdetails` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`autokombilimits` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`sstbeschreibung` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`limgrpstats` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`clientsuspensions` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`domstat` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`domstats` TO `logginglesen`@`localhost`;
GRANT UPDATE (msglevel, lastlevel) ON `logging`.`tcclimits` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`gautocclimits` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, DELETE ON `logging`.`hiderep` TO `logginglesen`@`localhost`;
GRANT INSERT ON `logging`.`changeprot` TO `logginglesen`@`localhost`;
GRANT INSERT ON `logging`.`uttdocuments` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`reportdets` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`autocclimits` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT ON `logging`.`teststepdetails` TO `logginglesen`@`localhost`;
GRANT INSERT ON `logging`.`uttdata` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`ccdetails` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, DELETE ON `logging`.`hidefav` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`gautocombidetails` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`kombidetails` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, UPDATE, UPDATE (hidden), DELETE ON `logging`.`lwertelimits` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`reports` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`ueberwachungspausen` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`mailreports` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`autokomprimierung` TO `logginglesen`@`localhost`;
GRANT INSERT, UPDATE, DELETE ON `logging`.`limitgroupelement` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT ON `logging`.`teststep` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`autolimits` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, DELETE ON `logging`.`komprimierungids` TO `logginglesen`@`localhost`;
GRANT INSERT ON `logging`.`uttactions` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`gautoisalive` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`kautoaufbewahrung` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`usermenu` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`userutthist` TO `logginglesen`@`localhost`;
GRANT INSERT, UPDATE, DELETE ON `logging`.`ssremarks` TO `logginglesen`@`localhost`;
GRANT INSERT, UPDATE (lfnr), DELETE ON `logging`.`pwdhistory` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`favoriten` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`masterslavegroups` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`autoccdetails` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, UPDATE (msglevel, lastlevel, uttclosed), DELETE ON `logging`.`tkombilimits` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`cclimits` TO `logginglesen`@`localhost`;
GRANT INSERT, UPDATE, DELETE ON `logging`.`textblocks` TO `logginglesen`@`localhost`;
GRANT INSERT, UPDATE, DELETE ON `logging`.`sessions` TO `logginglesen`@`localhost`;
GRANT INSERT, UPDATE (masterutteventID, TS, groupID, master, userID, state) ON `logging`.`uttevent` TO `logginglesen`@`localhost`;
GRANT INSERT, UPDATE, DELETE ON `logging`.`sstsort` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`uttreminder` TO `logginglesen`@`localhost`;
GRANT INSERT, UPDATE, DELETE ON `logging`.`limitgroup` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`serverdoku` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, UPDATE, UPDATE (hidden), DELETE ON `logging`.`isalive` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`limgrpelemstats` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, UPDATE (msglevel, firstlogdate, uttclosed, lastlevel, lasttestid, lasttestdate), DELETE ON `logging`.`twertelimits` TO `logginglesen`@`localhost`;
GRANT INSERT, DELETE ON `logging`.`autocombilimitsmissing` TO `logginglesen`@`localhost`;
GRANT INSERT, DELETE ON `logging`.`gautocombilimitsmissing` TO `logginglesen`@`localhost`;
GRANT INSERT, DELETE ON `logging`.`autocombidetailsmissing` TO `logginglesen`@`localhost`;
GRANT INSERT, DELETE ON `logging`.`gautocombidetailsmissing` TO `logginglesen`@`localhost`;
GRANT SELECT, INSERT, UPDATE (seen), DELETE ON `logging`.`tisalive` TO `logginglesen`@`localhost`;
GRANT CREATE TEMPORARY TABLES, EXECUTE ON `logging`.* TO `loggingtest`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE, CREATE TEMPORARY TABLES ON `loggingtmp`.* TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`masterslavegroups` TO `loggingtest`@`localhost`;
GRANT SELECT, INSERT, UPDATE ON `logging`.`tlimitgroup` TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`gautoisalive` TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`gautoclimits` TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`kombilimits` TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`meldungsziele` TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`sstbeschreibung` TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`twerte` TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`cwerte` TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`pwerte` TO `loggingtest`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`limgrpstats` TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`teststepdates` TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`gruppenrechte` TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`remoteclients` TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`autocclimits` TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`groupfunctions` TO `loggingtest`@`localhost`;
GRANT SELECT (uttnotify, email, myemail, ID) ON `logging`.`user` TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`section` TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`serverclasses` TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`limitgroupelement` TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`autollimits` TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`limitgroup` TO `loggingtest`@`localhost`;
GRANT INSERT ON `logging`.`uttactions` TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`texte` TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`gruppen` TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`cclimits` TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`usergruppen` TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`server` TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`einheiten` TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`ssremarks` TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`bwerte` TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`lwerte` TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`gautolimits` TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`zwerte` TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`autokombilimits` TO `loggingtest`@`localhost`;
GRANT SELECT, UPDATE ON `logging`.`tkombilimits` TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`isalive` TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`gautocombilimits` TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`ueberwachungspausen` TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`mwerte` TO `loggingtest`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`limgrpelemstats` TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`lwertelimits` TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`intervalle` TO `loggingtest`@`localhost`;
GRANT INSERT ON `logging`.`changeprot` TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`swerte` TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`teststepdetails` TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`gautocclimits` TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`autolimits` TO `loggingtest`@`localhost`;
GRANT SELECT, INSERT, UPDATE (state) ON `logging`.`uttevent` TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`wertelimits` TO `loggingtest`@`localhost`;
GRANT SELECT, UPDATE ON `logging`.`tisalive` TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`verfahren` TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`lwerteindizes` TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`access` TO `loggingtest`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`limgrpstat` TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`daten` TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`werteindizes` TO `loggingtest`@`localhost`;
GRANT SELECT, UPDATE ON `logging`.`twertelimits` TO `loggingtest`@`localhost`;
GRANT SELECT, UPDATE ON `logging`.`tlwertelimits` TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`autoisalive` TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`groupsuspensions` TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`letztewerte` TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`meldungszielarten` TO `loggingtest`@`localhost`;
GRANT SELECT, UPDATE ON `logging`.`tcclimits` TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`sectiondates` TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`utttarget` TO `loggingtest`@`localhost`;
GRANT SELECT ON `logging`.`teststep` TO `loggingtest`@`localhost`;
GRANT INSERT, DELETE ON `logging`.`daten` TO `wwwuls`@`localhost`;
GRANT INSERT ON `logging`.`autocombidetailsmissing` TO `wwwuls`@`localhost`;
GRANT INSERT ON `logging`.`autocombilimitsmissing` TO `wwwuls`@`localhost`;
GRANT INSERT ON `logging`.`einheiten` TO `wwwuls`@`localhost`;
GRANT INSERT ON `logging`.`gautocombidetailsmissing` TO `wwwuls`@`localhost`;
GRANT INSERT ON `logging`.`gautocombilimitsmissing` TO `wwwuls`@`localhost`;
GRANT INSERT ON `logging`.`kombidetails` TO `wwwuls`@`localhost`;
GRANT INSERT ON `logging`.`komprimierungids` TO `wwwuls`@`localhost`;
GRANT INSERT ON `logging`.`lwerteindizes` TO `wwwuls`@`localhost`;
GRANT INSERT ON `logging`.`section` TO `wwwuls`@`localhost`;
GRANT INSERT ON `logging`.`teststepdetails` TO `wwwuls`@`localhost`;
GRANT INSERT ON `logging`.`teststep` TO `wwwuls`@`localhost`;
GRANT INSERT ON `logging`.`tisalive` TO `wwwuls`@`localhost`;
GRANT INSERT ON `logging`.`tkombilimits` TO `wwwuls`@`localhost`;
GRANT INSERT ON `logging`.`twertelimits` TO `wwwuls`@`localhost`;
GRANT INSERT, UPDATE (beschreibung), DELETE ON `logging`.`sstbeschreibung` TO `wwwuls`@`localhost`;
GRANT INSERT, UPDATE (datumbis), DELETE ON `logging`.`ueberwachungspausen` TO `wwwuls`@`localhost`;
GRANT INSERT, UPDATE, DELETE ON `logging`.`serverdoku` TO `wwwuls`@`localhost`;
GRANT INSERT, UPDATE (hidden) ON `logging`.`isalive` TO `wwwuls`@`localhost`;
GRANT INSERT, UPDATE (hidden) ON `logging`.`kombilimits` TO `wwwuls`@`localhost`;
GRANT INSERT, UPDATE (hidden) ON `logging`.`lwertelimits` TO `wwwuls`@`localhost`;
GRANT INSERT, UPDATE (hidden) ON `logging`.`wertelimits` TO `wwwuls`@`localhost`;
GRANT INSERT, UPDATE (lastdatum, lastwert, sid, llastdatum) ON `logging`.`letztewerte` TO `wwwuls`@`localhost`;
GRANT INSERT, UPDATE (ldate) ON `logging`.`sectiondates` TO `wwwuls`@`localhost`;
GRANT INSERT, UPDATE (ldate) ON `logging`.`serverdates` TO `wwwuls`@`localhost`;
GRANT INSERT, UPDATE (ldate) ON `logging`.`teststepdates` TO `wwwuls`@`localhost`;
GRANT INSERT, UPDATE (ldate) ON `logging`.`wertedates` TO `wwwuls`@`localhost`;
GRANT INSERT, UPDATE (mtset, mindesttage) ON `logging`.`werteindizes` TO `wwwuls`@`localhost`;
GRANT INSERT, UPDATE ON `logging`.`beschreibung` TO `wwwuls`@`localhost`;
GRANT INSERT, UPDATE ON `logging`.`cwerte` TO `wwwuls`@`localhost`;
GRANT INSERT, UPDATE ON `logging`.`pwerte` TO `wwwuls`@`localhost`;
GRANT INSERT, UPDATE ON `logging`.`ssremarks` TO `wwwuls`@`localhost`;
GRANT INSERT, UPDATE ON `logging`.`swerte` TO `wwwuls`@`localhost`;
GRANT INSERT, UPDATE ON `logging`.`twerte` TO `wwwuls`@`localhost`;
GRANT INSERT, UPDATE ON `logging`.`zwerte` TO `wwwuls`@`localhost`;
GRANT INSERT, UPDATE (transferip, lastdnstest) ON `logging`.`server` TO `wwwuls`@`localhost`;
GRANT INSERT, UPDATE (werteindizesID, datenID) ON `logging`.`bwerte` TO `wwwuls`@`localhost`;
GRANT SELECT, EXECUTE ON `logging`.* TO `wwwuls`@`localhost`;
GRANT SELECT, INSERT ON `logging`.`ccdetails` TO `wwwuls`@`localhost`;
GRANT SELECT, INSERT, UPDATE, DELETE, CREATE TEMPORARY TABLES ON `loggingtmp`.* TO `wwwuls`@`localhost`;
GRANT USAGE ON *.* TO `wwwuls`@`localhost` IDENTIFIED VIA unix_socket;
