#!/bin/bash
#
# dirlist.sh
#
# Direktorylisting fr dirlist.u2w
##################################
#
echo -n "%h2 %'directory': "
echo "$1" | awk -F "/" -v S="&sort=$2&lsort=$3" '
{ p = ""
  for( i = 1; i < NF; i++)
  { if( p == "" )
    { printf("%%hlink(\"%this?path=%s%s\",\"%s\")/", $i, S, $i)
      p = $i
    }
    else
    { printf("%%hlink(\"%this?path=%s/%s%s\",\"%s\")/", p, $i, S, $i)
      p = p "/" $i
    }
  }
  printf("%s", $NF)
}'
echo "%/h"
if [ "$2" = "$3" ]
 then
  R=""
  S="0"
else
  R="r"
  S="$2"
fi
if [ -z "$2" ]
 then
  T="$S"
else
  T=""
fi
echo "%tt"
echo "%table:lclcr"
echo "%tablehead %hlink(\"%this?path=$1&sort=&lsort=$T\", %'name')||%hlink(\"%this?path=$1&sort=t&lsort=$S\", %'date')||%hlink(\"%this?path=$1&sort=S&lsort=$S\", %'size')"
ls -lLh$2$R --time-style='+%d.%m.%y %H:%M:%S' "$1/" | fgrep -v '#' | awk -v P="$1" 'NF >= 8 { n = $8
                   for( i = 9; i <= ($1 ~ "^l" ? NF -2 : NF); i++ )
                     n = n " " $i
                   if( $1 ~ "^d" )
                     printf("%%hlink(\"%this?path=%s/%s\",\"%s/\")||%s||%s\n", P, n, n, $6 " " $7, $5)
                   else
                     printf("%%hlink(\"%s/%s\",\"%s\")||%s||%s\n", P, n, n, $6 " " $7, $5)
                 }'
