#!/bin/bash
#
# do_file2ulsdb.sh
#
######################################################
#
if [[ -s /etc/ulsserver.conf ]]
 then
  . /etc/ulsserver.conf
fi
#
if [[ $1 = "-i" ]]
 then
  IP="$2"
  shift 2
fi
#
if [[ -z "$IP" ]]
 then
  echo "Error: no IP"
  exit 1
fi
#
sleep ${ULSSENDWAIT:-30}
#
BASE=${1%/*}
NAME=${1##*/}
#
if [[ "${BASE##*/}" = "TAB" ]]
 then
  cd $BASE
  TMP=$1.$$
  mv $1 $TMP
  sleep ${ULSFINISHWAIT:-10}
  ( cd $TMP && /srv/uls/wwwbin/file2ulsdb -i $IP -D . )
  rm -r $TMP
fi
