#!/bin/bash
#
# doku_upload.sh
#
######################################################
#
if [[ -s /etc/ulsserver.conf ]]
 then
  . /etc/ulsserver.conf
fi
if [[ -z "$ULSSTOREPATH" ]]
 then
  ULSSTOREPATH=/var/tmp/file2ulsstore
fi
#
if [[ $1 = "-i" ]]
 then
  IP="$2"
  shift 2
fi
#
if [[ -z "$IP" ]]
 then
  echo "Error: no IP"
  exit 1
fi
#
UP=$ULSSTOREPATH/TAB/${IP:-ANON}
#
ULSDAT=data.uls
TMPDAT=FILE.`date '+%s'`$$.dat
H="`echo \"$1\" | sed 's/\\([;\\\\]\\)/\\\\\\1/g'`"
N="`echo \"$2\" | sed 's/\\([\"\\\\]\\)/\\\\\\1/g'`"
B="`echo \"$3\" | sed 's/\\([\"\\\\]\\)/\\\\\\1/g'`"
P="`echo \"$7\" | sed 's/\\([\"\\\\]\\)/\\\\\\1/g'`"
C="`echo \"$8\" | sed 's/\\([;\\\\]\\)/\\\\\\1/g'`"
FC="`echo \"$9\" | sed 's/\\([;\\\\]\\)/\\\\\\1/g'`"
mkdir -m 700 -p $UP
if cd $UP
 then
  mv "$6" $TMPDAT
  if [[ -n "$C" ]]
   then
    echo "L;;;;;;$C;
S;$4 $5;$H;\"$N\";\"$B\";;$TMPDAT;\"$P\";;$FC" >>$ULSDAT
  else
    echo "S;$4 $5;$H;\"$N\";\"$B\";;$TMPDAT;\"$P\";;$FC" >>$ULSDAT
  fi
fi
