#!/bin/bash
#
# get_proxy_clients.sh
#
# Werte der ULS-Clients aus der DMZ abholen
#
###############################################################################
#
MYSQL="/usr/bin/mysql -B -N -u logginglesen -plesenlogging logging"
#
PATH=/usr/bin:/usr/local/bin:/srv/uls/bin:$PATH
export PATH
#
PROXYIP=$1
#
case $PROXYIP in
  10.251.10.50) IPRX='^11[.]|,11[.]|^131[.]|,131[.]';;
  10.251.193.1) IPRX='^11[.]|,11[.]';;
  10.59.41.38) IPRX='^10[.]|,10[.]';;
  10.62.80.102) IPRX='^10[.]|,10[.]';;
  *)           IPRX='';;
esac
#
if [[ -n "$IPRX" ]]
 then
  echo "select servername, fqdn, inet_ntoa(server.ip), inet_ntoa(transferip), uls_werte_ips, sin, verfahren.name, seriennummer, replace(server.contact, '\\n', ' '), replace(server.location, '\\n', ' '), replace(server.beschreibung, '\\n', ' ') from server left join verfahren on verfahren.ID = server.verfahrenID where server.state != 'inactive' and (INET_NTOA(server.ip) regexp '$IPRX' OR INET_NTOA(transferip) regexp '$IPRX' OR uls_werte_ips regexp '$IPRX') order by servername" | $MYSQL
fi
