#!/bin/bash
#
# put_section_remark.sh
#
######################################################
#
if [[ -s /etc/ulsserver.conf ]]
 then
  . /etc/ulsserver.conf
fi
if [[ -z "$ULSSTOREPATH" ]]
 then
  ULSSTOREPATH=/var/tmp/file2ulsstore
fi
#
if [[ $1 = "-i" ]]
 then
  IP="$2"
  shift 2
fi
#
if [[ -z "$IP" ]]
 then
  echo "Error: no IP"
  exit 1
fi
#
UP=$ULSSTOREPATH/TAB/${IP:-ANON}
#
ULSDAT=dat-$$.uls
H="`echo \"$1\" | sed 's/\\([\"\\;\\\\]\\)/\\\\\\1/g'`"
S="`echo \"$2\" | sed 's/\\([\"\\\\]\\)/\\\\\\1/g'`"
W="`echo \"$3\" | sed 's/\\([\"\\\\]\\)/\\\\\\1/g'`"
C="`echo \"$4\" | sed 's/\\([\"\\;\\\\]\\)/\\\\\\1/g'`"
mkdir -m 700 -p $UP
if cd $UP
 then
  if [[ -n "$C" ]]
   then
    echo "L;;;;;;$C;
R;;$H;\"$S\";;;\"$W\"" >>$ULSDAT
  else
    echo "R;;$H;\"$S\";;;\"$W\"" >>$ULSDAT
  fi
fi
