#!/bin/bash
#
# put_test_blob.sh
#
######################################################
#
if [[ -s /etc/ulsserver.conf ]]
 then
  . /etc/ulsserver.conf
fi
if [[ -z "$ULSSTOREPATH" ]]
 then
  ULSSTOREPATH=/var/tmp/file2ulsstore
fi
#
if [[ $1 = "-a" ]]
 then
  APP="A"
  shift
else
  APP=""
fi
#
if [[ $1 = "-i" ]]
 then
  IP="$2"
  shift 2
fi
#
if [[ -z "$IP" ]]
 then
  echo "Error: no IP"
  exit 1
fi
#
UP=$ULSSTOREPATH/TAB/${IP:-ANON}
#
ULSDAT=data.uls
TMPDAT=FILE.`date '+%s'`$$.dat
H="`echo \"$1\" | sed 's/\\([\"\\;\\\\]\\)/\\\\\\1/g'`"
A="`echo \"$2\" | sed 's/\\([\"\\;\\\\]\\)/\\\\\\1/g'`"
S="`echo \"$3\" | sed 's/\\([\"\\;\\\\]\\)/\\\\\\1/g'`"
T="`echo \"$4\" | sed 's/\\([\"\\;\\\\]\\)/\\\\\\1/g'`"
D="`echo \"$5\" | sed 's/\\([\"\\;\\\\]\\)/\\\\\\1/g'`"
N="`echo \"$8\" | sed 's/\\([\"\\;\\\\]\\)/\\\\\\1/g'`"
C="`echo \"${10}\" | sed 's/\\([\"\\;\\\\]\\)/\\\\\\1/g'`"
mkdir -m 700 -p $UP
if cd $UP
 then
  mv "$9" $TMPDAT
  if [[ -n "$C" ]]
   then
    echo "L;;;;;;$C;
F$APP;$6 $7;$H;$S;$T;$D;$TMPDAT;$N;$A" >>$ULSDAT
  else
    echo "F$APP;$6 $7;$H;$S;$T;$D;$TMPDAT;$N;$A" >>$ULSDAT
  fi
fi
