#!/bin/bash
#
# put_test_counter.sh
#
######################################################
#
if [[ -s /etc/ulsserver.conf ]]
 then
  . /etc/ulsserver.conf
fi
if [[ -z "$ULSSTOREPATH" ]]
 then
  ULSSTOREPATH=/var/tmp/file2ulsstore
fi
#
if [[ $1 = "-i" ]]
 then
  IP="$2"
  shift 2
fi
#
if [[ -z "$IP" ]]
 then
  echo "Error: no IP"
  exit 1
fi
#
UP=$ULSSTOREPATH/TAB/${IP:-ANON}
#
ULSDAT=data.uls
H="`echo \"$1\" | sed 's/\\([\"\\;\\\\]\\)/\\\\\\1/g'`"
A="`echo \"$2\" | sed 's/\\([\"\\;\\\\]\\)/\\\\\\1/g'`"
S="`echo \"$3\" | sed 's/\\([\"\\;\\\\]\\)/\\\\\\1/g'`"
T="`echo \"$4\" | sed 's/\\([\"\\;\\\\]\\)/\\\\\\1/g'`"
D="`echo \"$5\" | sed 's/\\([\"\\;\\\\]\\)/\\\\\\1/g'`"
M="`echo \"$8\" | sed 's/\\([\"\\;\\\\]\\)/\\\\\\1/g'`"
W="`echo \"$9\" | sed 's/\\([\"\\;\\\\]\\)/\\\\\\1/g'`"
C="`echo \"${10}\" | sed 's/\\([\"\\;\\\\]\\)/\\\\\\1/g'`"
mkdir -m 700 -p $UP
if cd $UP
 then
  if [[ -n "$C" ]]
   then
    echo "L;;;;;;$C;
C;$6 $7;$H;$S;$T;$D;$M;$W;$A" >>$ULSDAT
  else
    echo "C;$6 $7;$H;$S;$T;$D;$M;$W;$A" >>$ULSDAT
  fi
fi
