#!/bin/bash
#
# put_test_value.sh
#
######################################################
#
if [[ -s /etc/ulsserver.conf ]]
 then
  . /etc/ulsserver.conf
fi
if [[ -z "$ULSSTOREPATH" ]]
 then
  ULSSTOREPATH=/var/tmp/file2ulsstore
fi
#
M="V"
if [[ $1 = "-n" ]]
 then
  M="N"
  shift
fi
if [[ $1 = "-u" ]]
 then
  M="U"
  shift
fi
#
if [[ $1 = "-i" ]]
 then
  IP="$2"
  shift 2
fi
#
if [[ -z "$IP" ]]
 then
  echo "Error: no IP"
  exit 1
fi
#
UP=$ULSSTOREPATH/TAB/${IP:-ANON}
#
H="`echo \"$1\" | sed 's/\\([\"\\;\\\\]\\)/\\\\\\1/g'`"
A="`echo \"$2\" | sed 's/\\([\"\\;\\\\]\\)/\\\\\\1/g'`"
S="`echo \"$3\" | sed 's/\\([\"\\;\\\\]\\)/\\\\\\1/g'`"
T="`echo \"$4\" | sed 's/\\([\"\\;\\\\]\\)/\\\\\\1/g'`"
D="`echo \"$5\" | sed 's/\\([\"\\;\\\\]\\)/\\\\\\1/g'`"
W="`echo \"$8\" | sed 's/\\([\"\\\\]\\)/\\\\\\1/g'`"
E="`echo \"$9\" | sed 's/\\([\"\\;\\\\]\\)/\\\\\\1/g'`"
C="`echo \"${10}\" | sed 's/\\([\"\\;\\\\]\\)/\\\\\\1/g'`"
if [[ ${#W} -gt 80 ]]
 then
  ULSDAT=dat-$$.uls
else
  ULSDAT=data.uls
fi
mkdir -m 700 -p $UP
if cd $UP
 then
  if [[ -n "$C" ]]
   then
    echo "L;;;;;;$C;
$M;$6 $7;$H;$S;$T;$D;\"$W\";$E;$A" >>$ULSDAT
  else
    echo "$M;$6 $7;$H;$S;$T;$D;\"$W\";$E;$A" >>$ULSDAT
  fi
fi
